Subject: Re: [PATCH 1/3] 6lowpan: add helper to get 6lowpan namespace

From: Alexander Aring <[email-masked]>
Date: Tue, 22 Apr 2014 20:49:10 +0200

On Tue, Apr 22, 2014 at 08:45:15PM +0200, Johannes Berg wrote:
> On Tue, 2014-04-22 at 19:58 +0200, Luis R. Rodriguez wrote:
> 
> > > > > +#if IS_ENABLED(CONFIG_IEEE802154_6LOWPAN)
> > > > > [...]
> > > > > +#else
> > > > > +static inline struct netns_ieee802154_lowpan *
> > > > > +net_ieee802154_lowpan(struct net *net)
> > > > > +{
> > > > > +	return NULL;
> > > > > +}
> > > > > +#endif
> > > > 
> > > > Why would that be needed? If nobody compiles 802.15.4 then it seems
> > > > nothing should reference it?
> > > > 
> > > Indeed I think this is unnecessary, also.
> > 
> > I wanted to be sure, and I was not. Right now 6lowpan does not depend
> > on CONFIG_NET_NS, is this intentional? I think its fine without it
> > but I was not sure.
> 
> I fail to see how !CONFIG_LOWPAN is related CONFIG_NET_NS?
> 

mhh, IEEE802154_6LOWPAN depends on IPV6 and I think IPV6 is related to
CONFIG_NET_NS.

- Alex